# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rscm}
  s.version = "0.5.1"

  s.required_rubygems_version = nil if s.respond_to? :required_rubygems_version=
  s.authors = ["Aslak Hellesoy"]
  s.autorequire = %q{rscm}
  s.cert_chain = nil
  s.date = %q{2006-05-19}
  s.description = %q{RSCM is a Ruby library for various Source Control Management (SCM) systems.}
  s.email = %q{dev@damagecontrol.codehaus.org}
  s.extra_rdoc_files = ["README", "CHANGES"]
  s.files = ["CHANGES", "Rakefile", "README", "lib/rscm", "lib/rscm.rb", "lib/rscm/abstract_log_parser.rb", "lib/rscm/base.rb", "lib/rscm/command_line.rb", "lib/rscm/difftool.rb", "lib/rscm/line_editor.rb", "lib/rscm/mockit.rb", "lib/rscm/parser.rb", "lib/rscm/path_converter.rb", "lib/rscm/platform.rb", "lib/rscm/revision.rb", "lib/rscm/revision_file.rb", "lib/rscm/revision_poller.rb", "lib/rscm/revisions.rb", "lib/rscm/scm", "lib/rscm/tempdir.rb", "lib/rscm/time_ext.rb", "lib/rscm/version.rb", "lib/rscm/scm/clearcase.rb", "lib/rscm/scm/cvs.rb", "lib/rscm/scm/cvs_log_parser.rb", "lib/rscm/scm/darcs.rb", "lib/rscm/scm/darcs_log_parser.rb", "lib/rscm/scm/monotone.rb", "lib/rscm/scm/monotone_log_parser.rb", "lib/rscm/scm/mooky.rb", "lib/rscm/scm/perforce.rb", "lib/rscm/scm/star_team.rb", "lib/rscm/scm/subversion.rb", "lib/rscm/scm/subversion_log_parser.rb", "bin/diff.exe", "bin/Diff_StdDisclaimer.html", "bin/touch.exe", "test/rscm", "test/rscm/apply_label_scm_tests.rb", "test/rscm/command_line_test.rb", "test/rscm/compatibility", "test/rscm/difftool_test.rb", "test/rscm/file_after_edit", "test/rscm/file_ext.rb", "test/rscm/file_to_edit", "test/rscm/line_editor_test.rb", "test/rscm/mockit_test.rb", "test/rscm/parser_test.rb", "test/rscm/path_converter_test.rb", "test/rscm/revision_file_test.rb", "test/rscm/revision_poller_test.rb", "test/rscm/revision_test.rb", "test/rscm/revisions_test.rb", "test/rscm/scm", "test/rscm/test_helper.rb", "test/rscm/compatibility/config.yml", "test/rscm/compatibility/cvs_metaproject", "test/rscm/compatibility/full.rb", "test/rscm/compatibility/p4_gfx", "test/rscm/compatibility/rscm_engine.rb", "test/rscm/compatibility/subversion_rscm", "test/rscm/compatibility/cvs_metaproject/diff.txt", "test/rscm/compatibility/cvs_metaproject/file.txt", "test/rscm/compatibility/cvs_metaproject/files_0.yml", "test/rscm/compatibility/cvs_metaproject/old.yml", "test/rscm/compatibility/cvs_metaproject/revisions.yml", "test/rscm/compatibility/cvs_metaproject/scm.yml", "test/rscm/compatibility/p4_gfx/files_0.yml", "test/rscm/compatibility/p4_gfx/old.yml", "test/rscm/compatibility/p4_gfx/revisions.yml", "test/rscm/compatibility/p4_gfx/scm.yml", "test/rscm/compatibility/subversion_rscm/diff.txt", "test/rscm/compatibility/subversion_rscm/file.txt", "test/rscm/compatibility/subversion_rscm/files_0.yml", "test/rscm/compatibility/subversion_rscm/old.yml", "test/rscm/compatibility/subversion_rscm/revisions.yml", "test/rscm/compatibility/subversion_rscm/scm.yml", "test/rscm/compatibility/subversion_rscm/svn_log_bug_irc.txt", "test/rscm/scm/cvs-dataforge.log", "test/rscm/scm/cvs-test.log", "test/rscm/scm/cvs_log_parser_test.rb", "test/rscm/scm/cvs_test.rb", "test/rscm/scm/darcs_log_parser_test.rb", "test/rscm/scm/darcs_test.rb", "test/rscm/scm/keys", "test/rscm/scm/monotone_log_parser_test.rb", "test/rscm/scm/monotone_test.rb", "test/rscm/scm/mooky_test.rb", "test/rscm/scm/p4client_test.rb", "test/rscm/scm/perforce_test.rb", "test/rscm/scm/star_team_test.rb", "test/rscm/scm/subversion_log_parser_test.rb", "test/rscm/scm/subversion_test.rb", "test/rscm/scm/svn-cargo.log", "test/rscm/scm/svn-growl.log", "test/rscm/scm/svn-growl2.log", "test/rscm/scm/svn-proxytoys.log", "testproject/damagecontrolled", "testproject/damagecontrolled/build.xml", "testproject/damagecontrolled/project.xml", "testproject/damagecontrolled/src", "testproject/damagecontrolled/src/java", "testproject/damagecontrolled/src/test", "testproject/damagecontrolled/src/java/com", "testproject/damagecontrolled/src/java/com/thoughtworks", "testproject/damagecontrolled/src/java/com/thoughtworks/damagecontrolled", "testproject/damagecontrolled/src/java/com/thoughtworks/damagecontrolled/Thingy.java", "testproject/damagecontrolled/src/test/com", "testproject/damagecontrolled/src/test/com/thoughtworks", "testproject/damagecontrolled/src/test/com/thoughtworks/damagecontrolled", "testproject/damagecontrolled/src/test/com/thoughtworks/damagecontrolled/ThingyTestCase.java", "ext/rscm.jar"]
  s.homepage = %q{http://rscm.rubyforge.org}
  s.rdoc_options = ["--line-numbers", "--inline-source"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0")
  s.rubyforge_project = %q{rscm}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{RSCM - Ruby Source Control Management}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 1

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
